package com.sw.mes.yb.production.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.production.entity.RecycledMaterialManageDetail;

import java.math.BigDecimal;
import java.util.List;


/**
 * @Author: xushu
 * @Date: 2022/08/17/16:26
 * @Description:
 */
public interface RecycledMaterialManageDetailService extends BaseService<RecycledMaterialManageDetail> {

    List<RecycledMaterialManageDetail> getDetailByManageId(Long id);

    void deleteByManageId(Long manageId);

    List<String> findUsedRecycleNos(Long manageId);

    List<String> getDetailByRecycleNos(List<String> recycleNos);

    BigDecimal findSumWeightByWorkOrderNo(String orderNo);

    List<String> getWorkOrderNosByRecycleNos(List<String> recycleNos);

}
